namespace Tools {

    MemoryBuffer ReadFile(string fileUri) {
        bool fileExists = IO::FileExists(fileUri);
        if(fileExists){
            IO::File file(fileUri);
            file.Open(IO::FileMode::Read);
            MemoryBuffer fileBuffer = file.Read(file.Size());
            file.Close();
            return fileBuffer;
        }
        return MemoryBuffer();
    }
}

